openSUSE Security Update : NetworkManager-gnome (NetworkManager-gnome-1877)

Medium Nessus Plugin ID 44359


The remote openSUSE host is missing a security update.


nm-applet connected to WPA2 Enterprise networks even if the specified CA certificate file didn't exist (CVE-2009-4144).

When editing connections in nm-applet the connection object was exported via DBus disclosing potentially sensitive information to local users (CVE-2009-4145).


Update the affected NetworkManager-gnome package.

See Also

Plugin Details

Severity: Medium

ID: 44359

File Name: suse_11_0_NetworkManager-gnome-100126.nasl

Version: $Revision: 1.7 $

Type: local

Agent: unix

Published: 2010/02/02

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:NetworkManager-gnome, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/01/26

Reference Information

CVE: CVE-2009-4144, CVE-2009-4145

CWE: 200, 310